import { ContentHandler } from './document';
import { StackedPanel, Widget } from '@lumino/widgets';
/**
 * A panel which has the ability to add other children.
 */
export declare class EditorPanel extends StackedPanel {
    constructor(handler: ContentHandler);
    protected onResize(msg: Widget.ResizeMessage): void;
    dispose(): void;
    get handler(): ContentHandler;
    private _handler;
    private _example;
}
