// eslint-disable-next-line @typescript-eslint/no-unused-vars
import { ReactWidget } from '@jupyterlab/apputils';
import React from 'react';
import { UseSignal } from '@jupyterlab/apputils';
//import { Widget } from '@lumino/widgets';
// eslint-disable-next-line @typescript-eslint/no-unused-vars
// import { ChartEngine } from './chartEngine';
// import { Message } from '@lumino/messaging';
import NodeEditor from './nodeEditor';
export class EditorView extends ReactWidget {
    constructor(contentHandler) {
        super();
        this._contentHandler = contentHandler;
        this.id = 'jp-Gquant-NodeEditor';
        this.addClass('jp-GQuant-first');
    }
    // onAfterAttach(msg: Message): void {
    //   console.log('attached');
    // }
    get contentHandler() {
        return this._contentHandler;
    }
    render() {
        const init = {
            edges: [],
            nodeDatum: {},
            setChartState: null,
            nodes: [],
            handler: null
        };
        return (React.createElement(React.Fragment, null,
            React.createElement(UseSignal, { signal: this._contentHandler.updateEditor, initialArgs: init }, (_, args) => {
                return (React.createElement(NodeEditor, { handler: args.handler, nodeDatum: args.nodeDatum, setChartState: args.setChartState, nodes: args.nodes, edges: args.edges }));
            })));
    }
}
