import React from 'react';
import 'bootstrap/dist/css/bootstrap.css';
import '../style/editor.css';
import { INode, IEdge, ContentHandler } from './document';
export interface IEditorProp {
    handler: ContentHandler;
    nodeDatum: any;
    setChartState: Function;
    nodes: INode[];
    edges: IEdge[];
}
declare class NodeEditor extends React.Component<IEditorProp> {
    myRef: React.RefObject<any>;
    constructor(props: IEditorProp);
    _bugWorkaround(json: any): void;
    handleSave(d: any): void;
    handleDelete(): void;
    handleClone(): void;
    handleConvert(): void;
    render(): JSX.Element;
}
export default NodeEditor;
