import { DOMWidgetModel, DOMWidgetView, ViewList } from '@jupyter-widgets/base';
import * as widgets from '@jupyter-widgets/base';
import { CommandRegistry } from '@lumino/commands';
import { IFileBrowserFactory } from '@jupyterlab/filebrowser';
import { Toolbar } from '@jupyterlab/apputils';
import { JupyterFrontEnd } from '@jupyterlab/application';
export declare class GQuantModel extends DOMWidgetModel {
    static serializers: {
        sub: {
            deserialize: typeof widgets.unpack_models;
        };
    };
    defaults(): any;
    static model_name: string;
    static model_module: string;
    static model_module_version: string;
    static view_name: string;
    static view_module: string;
    static view_module_version: string;
}
export declare class GQuantView extends DOMWidgetView {
    static apps: JupyterFrontEnd;
    static browserFactory: IFileBrowserFactory;
    private _contentHandler;
    private _widget;
    views: ViewList<DOMWidgetView>;
    addCommands(commands: CommandRegistry, toolBar: Toolbar): void;
    render(): void;
    run(): void;
    clean(): void;
    sub_changed(model: DOMWidgetModel, value: any): void;
    protected getFigureSize(): DOMRect;
    addView(model: DOMWidgetModel): Promise<DOMWidgetView>;
    processPhosphorMessage(msg: any): void;
    cache_changed(): void;
    createContexMenu(): void;
}
