import { JupyterFrontEnd } from '@jupyterlab/application';
import { CommandRegistry } from '@lumino/commands';
import { IFileBrowserFactory } from '@jupyterlab/filebrowser';
import { ContentHandler } from './document';
import { INotebookTracker } from '@jupyterlab/notebook';
export declare const COMMAND_CONVERT_CELL_TO_FILE = "gquant:convertCellToFile";
export declare const COMMAND_TOOL_BAR_CONVERT_CELL_TO_FILE = "gquant:toolbarConvertCellToFile";
export declare const COMMAND_SELECT_FILE = "gquant:selectTheFile";
export declare const COMMAND_SELECT_PATH = "gquant:selectThePath";
export declare const COMMAND_OPEN_NEW_FILE = "gquant:openNewFile";
export declare const COMMAND_INCLUDE_NEW_FILE = "gquant:includeNewFile";
export declare const COMMAND_TOOL_BAR_INCLUDE_NEW_FILE = "gquant:includeNewFile";
export declare const COMMAND_TOOL_BAR_OPEN_NEW_FILE = "gquant:toolbaropenTaskGraph";
export declare const COMMAND_NEW_TASK_GRAPH = "gquant:export-yaml";
export declare const COMMAND_NEW_OPEN_TASK_GRAPH = "gquant:create-new";
export declare const COMMAND_OPEN_EDITOR = "gquant:openeditor";
export declare const COMMAND_OPEN_NEW_NOTEBOOK = "gquant:openAnNewNotebook";
export declare const COMMAND_ADD_NODE = "gquant:addnode";
export declare const COMMAND_RELAYOUT = "gquant:reLayout";
export declare const COMMAND_TOOL_BAR_RELAYOUT = "gquant:toolbarReLayout";
export declare const COMMAND_CHANGE_ASPECT_RATIO = "gquant:aspect";
export declare const COMMAND_EXECUTE = "gquant:execute";
export declare const COMMAND_CLEAN = "gquant:cleanResult";
export declare const COMMAND_TOOL_BAR_EXECUTE = "gquant:toolbarexecute";
export declare const COMMAND_TOOL_BAR_CLEAN = "gquant:toolbarcleanResult";
export declare const COMMAND_ADD_OUTPUT_COLLECTOR = "gquant:addOutputCollector";
export declare const COMMAND_OPEN_DOC_FORWARD = "gquant:openDocumentForward";
export declare const COMMAND_CREATE_CUST_NODE = "gquant:createCustomizedNode";
export declare const COMMAND_TOOL_BAR_SHOW_LOG = "gquant:showLogBox";
export declare function setupCommands(commands: CommandRegistry, app: JupyterFrontEnd, getMainView: Function, browserFactory: IFileBrowserFactory, isCellVisible: any, isGquantVisible: any, notebookTracker: INotebookTracker): void;
export declare function setupToolBarCommands(commands: CommandRegistry, contentHandler: ContentHandler, browserFactory: IFileBrowserFactory, systemCommands: CommandRegistry, app: JupyterFrontEnd): void;
