import { ReactWidget } from '@jupyterlab/apputils';
import React from 'react';
import { ContentHandler } from './document';
import { Widget } from '@lumino/widgets';
import { Message } from '@lumino/messaging';
export declare const OUTPUT_COLLECTOR = "collector_id_fd9567b6";
export declare const OUTPUT_TYPE = "Output_Collector";
export declare class MainView extends ReactWidget {
    private _contentHandler;
    private _height;
    private _width;
    firstTimeReSize: boolean;
    private _calclateSize;
    /**
     * This is used exclusively to handle the gquantlab widget resize event in the cell output of the notebook
     *
     */
    mimerenderWidgetUpdateSize(): void;
    onAfterAttach(msg: Message): void;
    get contentHandler(): ContentHandler;
    constructor(contentHandler: ContentHandler);
    protected onResize(msg: Widget.ResizeMessage): void;
    protected render(): React.ReactElement<any>;
}
